net.minecraftforge.event.terraingen

## Class OreGenEvent.GenerateMinable

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.terraingen.OreGenEvent
    - - net.minecraftforge.event.terraingen.OreGenEvent.GenerateMinable

- Enclosing class:
    OreGenEvent

      public static class OreGenEvent.GenerateMinable
      extends OreGenEvent

  This event is fired when an ore is generated in a chunk. You can set the result to DENY to prevent the default ore generation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OreGenEvent.GenerateMinable.EventType`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.OreGenEvent

      `OreGenEvent.GenerateMinable, OreGenEvent.Post, OreGenEvent.Pre`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WorldGenerator` | `generator`
    `OreGenEvent.GenerateMinable.EventType` | `type`

    - ### Fields inherited from class net.minecraftforge.event.terraingen.OreGenEvent

      `rand, world, worldX, worldZ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OreGenEvent.GenerateMinable(World world, java.util.Random rand, WorldGenerator generator, int worldX, int worldZ, OreGenEvent.GenerateMinable.EventType type)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final OreGenEvent.GenerateMinable.EventType type

    - #### generator

          public final WorldGenerator generator

  - ### Constructor Detail

    - #### OreGenEvent.GenerateMinable

          public OreGenEvent.GenerateMinable(World world,
                                     java.util.Random rand,
                                     WorldGenerator generator,
                                     int worldX,
                                     int worldZ,
                                     OreGenEvent.GenerateMinable.EventType type)